Package org.kapott.hbci.tools

## Class NumberUtil

- java.lang.Object
- - org.kapott.hbci.tools.NumberUtil

    public class NumberUtil
    extends java.lang.Object

Hilfsmethoden fuer das Handling mit Zahlen.

### Constructor Summary

Constructors
`NumberUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static int` `parseInt​(java.lang.String s, int defaultValue)` Parst den Text als Zahl.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NumberUtil

    public NumberUtil()

### Method Detail

#### parseInt

    public static int parseInt​(java.lang.String s,
                               int defaultValue)

Parst den Text als Zahl. Die Funktion wirft keine Exception. Weder bei NULL noch bei einer nicht zu parsenden Zahl. In dem Fall wird der Default-Wert geliefert.

Parameters:
  `s` - der zu parsende String.
  `defaultValue` - der Default-Wert.
Returns:
  der geparste Wert oder der Default-Wert.